# PVideoOutputPluginServiceDescriptor< className > Class Template Reference

`#include <videoio.h>`

Inheritance diagram for PVideoOutputPluginServiceDescriptor< className >:

List of all members.

## Public Member Functions

virtual PObject * | CreateInstance (int) const
virtual PStringArray | GetDeviceNames (int) const

### template<class className>
class PVideoOutputPluginServiceDescriptor< className >

## Member Function Documentation

template<class className>

virtual PObject* PVideoOutputPluginServiceDescriptor< className >::CreateInstance | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

template<class className>

virtual PStringArray PVideoOutputPluginServiceDescriptor< className >::GetDeviceNames | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

The documentation for this class was generated from the following file:

- videoio.h